From 4603623a283e2dbf6c6765ef028c3c9ddb116500 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 25 Mar 2019 23:50:43 +0100
Subject: [PATCH 2/3] Check all used executables

Expand the validate_exec() calls to cover all the used binaries.
---
 src/bin/pg_upgrade/exec.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/bin/pg_upgrade/exec.c b/src/bin/pg_upgrade/exec.c
index a42e1ac6d3..8e08089b12 100644
--- a/src/bin/pg_upgrade/exec.c
+++ b/src/bin/pg_upgrade/exec.c
@@ -404,6 +404,9 @@ check_bin_dir(ClusterInfo *cluster)
 		validate_exec(cluster->bindir, "psql");
 		validate_exec(cluster->bindir, "pg_dump");
 		validate_exec(cluster->bindir, "pg_dumpall");
+		validate_exec(cluster->bindir, "pg_restore");
+		validate_exec(cluster->bindir, "initdb");
+		validate_exec(cluster->bindir, "vacuumdb");
 	}
 }
 
-- 
2.14.1.145.gb3622a4ee

